Start an eval run
curl --request POST \
--url https://api.anpord.com/v1/evals.start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cases": [
{
"goal": "<string>",
"name": "<string>",
"verify": "<string>",
"setup": "<string>",
"source": {
"kind": "empty"
}
}
],
"prompt": "<string>",
"tasks": [
{
"model": "<string>"
}
],
"trials": 5
}
'import requests
url = "https://api.anpord.com/v1/evals.start"
payload = {
"cases": [
{
"goal": "<string>",
"name": "<string>",
"verify": "<string>",
"setup": "<string>",
"source": { "kind": "empty" }
}
],
"prompt": "<string>",
"tasks": [{ "model": "<string>" }],
"trials": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cases: [
{
goal: '<string>',
name: '<string>',
verify: '<string>',
setup: '<string>',
source: {kind: 'empty'}
}
],
prompt: '<string>',
tasks: [{model: '<string>'}],
trials: 5
})
};
fetch('https://api.anpord.com/v1/evals.start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"_tag": "Forbidden"
}{
"message": "<string>",
"_tag": "NotFound"
}{
"message": "<string>",
"_tag": "Conflict"
}Evals
Start an eval run
Starts the grid and returns its id while trials continue in the background.
POST
/
v1
/
evals.start
Start an eval run
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Start a grid with at most 100 total case, task, and trial combinations.
an array of at least 1 item(s)
Minimum array length:
1Show child attributes
Show child attributes
an array of at least 1 item(s)
Minimum array length:
1Show child attributes
Show child attributes
a number between 1 and 10
Required range:
1 <= x <= 10Response
The id of an eval run accepted for background execution.
The id of an eval run accepted for background execution.
⌘I